### Methods

## Return the name of the class that is currently being used for cell cacheing

    getCacheStorageClass() : string

Static

### Returns

`string`Name of the class currently being used for cacheing

## Return the name of the method that is currently configured for cell cacheing

    getCacheStorageMethod() : string

Static

### Returns

`string`Name of the cacheing method

## Return the Chart Rendering Library that PHPExcel is currently configured to use (e.g.

    getChartRendererName() : string | NULL

Static

jpgraph)

### Returns

`string` `NULL`Internal reference name of the Chart Rendering Library that PHPExcel is currently configured to use e.g. PHPExcel_Settings::CHART_RENDERER_JPGRAPH

## Return the directory path to the Chart Rendering Library that PHPExcel is currently configured to use

    getChartRendererPath() : string | NULL

Static

### Returns

`string` `NULL`Directory Path to the Chart Rendering Library that PHPExcel is currently configured to use

## Return the PDF Rendering Library that PHPExcel is currently configured to use (e.g.

    getPdfRendererName() : string | NULL

Static

dompdf)

### Returns

`string` `NULL`Internal reference name of the PDF Rendering Library that PHPExcel is currently configured to use e.g. PHPExcel_Settings::PDF_RENDERER_TCPDF, PHPExcel_Settings::PDF_RENDERER_DOMPDF or PHPExcel_Settings::PDF_RENDERER_MPDF

## Return the directory path to the PDF Rendering Library that PHPExcel is currently configured to use

    getPdfRendererPath() : string | NULL

Static

### Returns

`string` `NULL`Directory Path to the PDF Rendering Library that PHPExcel is currently configured to use

## Return the name of the Zip handler Class that PHPExcel is configured to use (PCLZip or ZipArchive) or Zip file management

    getZipClass() : string

Static

### Returns

`string`Name of the Zip handler Class that PHPExcel is configured to use for Zip file management e.g. PHPExcel_Settings::PCLZip or PHPExcel_Settings::ZipArchive

## Set the method that should be used for cell cacheing

    setCacheStorageMethod(string $method, array $arguments) : boolean

Static

### Parameters

#### $method

`string`

Name of the cacheing method

#### $arguments

`array`

Optional configuration arguments for the cacheing method

### Returns

`boolean`Success or failure

## Set details of the external library that PHPExcel should use for rendering charts

    setChartRenderer(string $libraryName, string $libraryBaseDir) : boolean

Static

### Parameters

#### $libraryName

`string`

Internal reference name of the library e.g. PHPExcel_Settings::CHART_RENDERER_JPGRAPH

#### $libraryBaseDir

`string`

Directory path to the library's base folder

### Returns

`boolean`Success or failure

## Identify to PHPExcel the external library to use for rendering charts

    setChartRendererName(string $libraryName) : boolean

Static

### Parameters

#### $libraryName

`string`

Internal reference name of the library e.g. PHPExcel_Settings::CHART_RENDERER_JPGRAPH

### Returns

`boolean`Success or failure

## Tell PHPExcel where to find the external library to use for rendering charts

    setChartRendererPath(string $libraryBaseDir) : boolean

Static

### Parameters

#### $libraryBaseDir

`string`

Directory path to the library's base folder

### Returns

`boolean`Success or failure

## Set the locale code to use for formula translations and any special formatting

    setLocale(string $locale) : boolean

Static

### Parameters

#### $locale

`string`

The locale code to use (e.g. "fr" or "pt_br" or "en_uk")

### Returns

`boolean`Success or failure

## Set details of the external library that PHPExcel should use for rendering PDF files

    setPdfRenderer(string $libraryName, string $libraryBaseDir) : boolean

Static

### Parameters

#### $libraryName

`string`

Internal reference name of the library e.g. PHPExcel_Settings::PDF_RENDERER_TCPDF, PHPExcel_Settings::PDF_RENDERER_DOMPDF or PHPExcel_Settings::PDF_RENDERER_MPDF

#### $libraryBaseDir

`string`

Directory path to the library's base folder

### Returns

`boolean`Success or failure

## Identify to PHPExcel the external library to use for rendering PDF files

    setPdfRendererName(string $libraryName) : boolean

Static

### Parameters

#### $libraryName

`string`

Internal reference name of the library e.g. PHPExcel_Settings::PDF_RENDERER_TCPDF, PHPExcel_Settings::PDF_RENDERER_DOMPDF or PHPExcel_Settings::PDF_RENDERER_MPDF

### Returns

`boolean`Success or failure

## Tell PHPExcel where to find the external library to use for rendering PDF files

    setPdfRendererPath(string $libraryBaseDir) : boolean

Static

### Parameters

#### $libraryBaseDir

`string`

Directory path to the library's base folder

### Returns

`boolean`Success or failure

## Set the Zip handler Class that PHPExcel should use for Zip file management (PCLZip or ZipArchive)

    setZipClass(string $zipClass) : boolean

Static

### Parameters

#### $zipClass

`string`

The Zip handler class that PHPExcel should use for Zip file management e.g. PHPExcel_Settings::PCLZip or PHPExcel_Settings::ZipArchive

### Returns

`boolean`Success or failure

### Properties

##

    $_chartRendererName : string

jpgraph

##

    $_chartRendererPath : string

##

    $_chartRenderers

##

    $_pdfRendererName : string

mPDF

##

    $_pdfRendererPath : string

##

    $_pdfRenderers

##

    $_zipClass : string

ZipArchive

### Constants

## Optional Chart Rendering libraries

    CHART_RENDERER_JPGRAPH

## Available Zip library classes

    PCLZIP

## PDF_RENDERER_DOMPDF

    PDF_RENDERER_DOMPDF

## PDF_RENDERER_MPDF

    PDF_RENDERER_MPDF

## Optional PDF Rendering libraries

    PDF_RENDERER_TCPDF

## ZIPARCHIVE

    ZIPARCHIVE